## ------------------------------------------------------------------------
library(IVS)

## ------------------------------------------------------------------------
set.seed(0622)
X <- matrix(rnorm(50*10), 50, 10)
y <- X[,1:3] %*% c(1, 0.5, 1) + rnorm(50)

## ------------------------------------------------------------------------
n = nrow(X)
wn = log(n) / n
res <- ivs(X,y, wn = wn, alpha = 0.1, method = "norm")

## ------------------------------------------------------------------------
res$prob

## ------------------------------------------------------------------------
res$CI

## ------------------------------------------------------------------------
summary(res)

## ----fig.align='center', fig.width=6, fig.height=5-----------------------
plot(res, label = T)

