% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.ivs.R
\name{plot.ivs}
\alias{plot.ivs}
\title{Plot the solution path with the conditional distribution overlaid}
\usage{
\method{plot}{ivs}(x, xvar = c("l1norm", "lambda"), label = F,
  abovex = TRUE, emphasize = T, thresh = 0.5, ...)
}
\arguments{
\item{x}{A \code{ivs} object produced by \code{ivs(X, y)}}

\item{xvar}{name of X-axis. "norm"
plots against the L1-norm of the coefficients,
"lambda" against the log-lambda sequence}

\item{label}{If \code{TRUE}, label the solution path with variable sequences
numbers}

\item{abovex}{If \code{True}, the conditional distribution will be plotted
above X-axis. Otherwise, below X-axis.}

\item{emphasize}{If \code{True}, model with an upper confidence
interval greater than threshold will be emphasized on the plot.}

\item{thresh}{threshold for upper confidence interval}

\item{...}{Other arguments that can be passed to \code{matplot}}
}
\description{
Estimate conditional distribution of optimal
tuning paramter based on asymptotic distribution
}
\examples{
set.seed(0622)
X <- matrix(rnorm(50*10), 50, 10)
y <- X[,1:3] \%*\% c(1, 0.5, 1) + rnorm(50)
res <- ivs(X,y, method = "norm")
plot(res, label = TRUE)
}
