% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ci_nonnormal.R
\name{asym_ci}
\alias{asym_ci}
\title{Conditional Distribution based on asymptotic distribution}
\usage{
asym_ci(X, y, wn, alpha = 0.1, ...)
}
\arguments{
\item{X}{input matrix or design matrix}

\item{y}{response variable}

\item{wn}{weight function, default is \eqn{log(n) / n}, which correponds to
BIC criterion. For AIC, choose \eqn{2 / n}.}

\item{alpha}{value to specify confidence level.  it
corrsponds confidence interval \eqn{ (1 - alpha) * 100\% }}

\item{...}{Other arguments that can be passed to \code{glmpath}}
}
\value{
\item{prob}{Estimated conditional probablity of tuning parameter being
selected as the optimal tuning paramter}
\item{CI}{Confidence intervals for conditional probality based on normal
assumption}
\item{model}{a \code{glmpath} object, which is the same the fit
\code{glmpath(X, y, family = 'gaussian')}}
\item{alpha}{the specified alpha level}
\item{wn}{the specified wn}
}
\description{
Estimate conditional distribution of optimal
tuning paramter based on asymptotic distribution
}
\examples{
set.seed(0622)
X <- matrix(rnorm(50*10), 50, 10)
y <- X[,1:3] \%*\% c(1, 0.5, 1) + rnorm(50)
asym_ci(X,y)
}
