% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/boot_lambda.R
\name{boot_lambda}
\alias{boot_lambda}
\title{Conditional Distribution based on bootstrap method}
\usage{
boot_lambda(X, y, wn, reps = 5000, ...)
}
\arguments{
\item{X}{input matrix or design matrix}

\item{y}{response variable}

\item{wn}{weight function, default is \eqn{log(n) / n}, which correponds to
BIC criterion. For AIC, choose \eqn{2 / n}.}

\item{reps}{Number of bootstrap sample, defaut is \code{5000}}

\item{...}{Other arguments that can be passed to \code{glmpath}}
}
\value{
\item{prob}{Estimated conditional probablity of tuning parameter being
selected as the optimal tuning paramter}
\item{model}{a \code{glmpath} object, which is the same the fit
\code{glmpath(X, y, family = 'gaussian')}}
}
\description{
Estimate conditional distribution of optimal
tuning paramter based on bootstrap method
}
\examples{
set.seed(0622)
X <- matrix(rnorm(50*10), 50, 10)
y <- X[,1:3] \%*\% c(1, 0.5, 1) + rnorm(50)
boot_lambda(X,y)
}
