% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.ivs.R
\name{summary.ivs}
\alias{summary.ivs}
\title{Summary of estimated conditional distribution}
\usage{
\method{summary}{ivs}(object, tau = 0.001, digits = 3, ...)
}
\arguments{
\item{object}{A \code{ivs} object produced by \code{ivs(X, y)}}

\item{tau}{threshold for probablity, summary only output probability greater
than \code{tau}}

\item{digits}{minimal number of significant digits to print}

\item{...}{other arguments}
}
\description{
Summary of estimated conditional distribution and
confidence interval
}
\details{
The function returns a summary table based on threshold tau. The first
and second column corresponds the tuning paramter and estimated probability
respectively. And the last two columns are correponding confidence interval
}
\examples{
set.seed(0622)
X <- matrix(rnorm(50*10), 50, 10)
y <- X[,1:3] \%*\% c(1, 0.5, 1) + rnorm(50)
res <- ivs(X,y, method = "norm")
summary(res)
}
